Can`t start Transmission after upgrade

Questions about applications and software
Forum rules
Before you post please read this

Can`t start Transmission after upgrade

Postby Lovetz on Sat Feb 14, 2009 9:25 am

After upgrade to 1.50 from 1.38 in synaptic I can`t start transmission(
In terminal I see:
Code: Select all
lovetz@Dell-500 ~ $ transmission
Can`t read «/home/lovetz/.config/transmission/settings.json»: Success
transmission: bencode.c:1370: tr_bencMergeDicts: Assertion `tr_bencIsDict( source )' failed.
Aborted

LinuxMint-6
Please, HELP! I don`t want lost my partial downloaded files!(
Sorry for mu bad english.
Lovetz
Level 1
Level 1
 
Posts: 12
Joined: Tue Dec 23, 2008 4:01 am
Location: Russia

Linux Mint is funded by ads and donations.
 

Re: Can`t start Transmission after upgrade

Postby rivenought on Sat Feb 14, 2009 9:58 am

Which repository are you using to upgrade Transmission? I have the default repositories enabled and updated, yet only see Transmission 1.34 as being available.
rivenought
Level 5
Level 5
 
Posts: 780
Joined: Wed Apr 09, 2008 10:34 am

Re: Can`t start Transmission after upgrade

Postby Lovetz on Sat Feb 14, 2009 10:12 am

rivenought wrote:Which repository are you using to upgrade Transmission?

http://forum.transmissionbt.com/viewtop ... =13&t=5604
Lovetz
Level 1
Level 1
 
Posts: 12
Joined: Tue Dec 23, 2008 4:01 am
Location: Russia

Re: Can`t start Transmission after upgrade

Postby rivenought on Sat Feb 14, 2009 10:27 am

OK, I read through that. Yep, you are using a much newer version than what has been tested and comes with Mint. If your previous version of Transmission worked, you may wish to revert to it. You also may wish to post your problem with the Transmission guys. It might be a known issue. I wish I could help more, but I use the Transmission that is standard with Mint and have not seen that error message before. Perhaps someone who also uses your advanced packages can soon shed some light. Good luck.
rivenought
Level 5
Level 5
 
Posts: 780
Joined: Wed Apr 09, 2008 10:34 am

Re: Can`t start Transmission after upgrade

Postby Lovetz on Sat Feb 14, 2009 10:39 am

rivenought wrote:If your previous version of Transmission worked, you may wish to revert to it. You also may wish to post your problem with the Transmission guys. It might be a known issue.

How I can revert to previous version? I don`t know(
And yes, I post my problen on official transmission forum, but nobody answer to my question(
http://forum.transmissionbt.com/viewtop ... f=9&t=7068
Lovetz
Level 1
Level 1
 
Posts: 12
Joined: Tue Dec 23, 2008 4:01 am
Location: Russia

Re: Can`t start Transmission after upgrade

Postby knuckles on Sat Feb 14, 2009 10:54 am

with synaptic you can force an older version, only look a little in the Menu's it's not hard to find.

but it must be a problem with you PC/Installation, because it work flawless for me.

Her I will thank you for the link! (at the moment i'm searching all the new version, and I prefer repository from getdeb... after I will build an personalized Felicia Live-DVD, thanks to MintContructor {a great programm})
Sorry for my BAD English!!
User avatar
knuckles
Level 3
Level 3
 
Posts: 171
Joined: Sun Aug 24, 2008 2:41 am
Location: Luxembourg

Re: Can`t start Transmission after upgrade

Postby Lovetz on Sat Feb 14, 2009 11:05 am

SOLVED:
Charles Kerr wrote:Thanks for the bug report. If this happens to enough Ubuntu users it might be worth doing a small 1.51 bugfix release.

In any case, I suspect the workaround is to delete the file /home/lovetz/.config/transmission/settings.json

Please try that out and post a forum reply letting me know how it goes.

All works fine now)
Lovetz
Level 1
Level 1
 
Posts: 12
Joined: Tue Dec 23, 2008 4:01 am
Location: Russia

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: GiantGerman and 15 guests